# DCM/DFA Reporting And Trafficking API . countries

## Instance Methods

Gets one country by ID.

Retrieves a list of countries.

### Method Details

`get(profileId, dartId)`

    Gets one country by ID.

    Args:
      profileId: string, User profile ID associated with this request. (required)
      dartId: string, Country DART ID. (required)

    Returns:
      An object of the form:

        { # Contains information about a country that can be targeted by ads.
        "dartId": "A String", # DART ID of this country. This is the ID used for targeting and generating reports.
        "sslEnabled": True or False, # Whether ad serving supports secure servers in this country.
        "kind": "dfareporting#country", # Identifies what kind of resource this is. Value: the fixed string "dfareporting#country".
        "countryCode": "A String", # Country code.
        "name": "A String", # Name of this country.
      }

`list(profileId)`

    Retrieves a list of countries.

    Args:
      profileId: string, User profile ID associated with this request. (required)

    Returns:
      An object of the form:

        { # Country List Response
        "kind": "dfareporting#countriesListResponse", # Identifies what kind of resource this is. Value: the fixed string "dfareporting#countriesListResponse".
        "countries": [ # Country collection.
          { # Contains information about a country that can be targeted by ads.
            "dartId": "A String", # DART ID of this country. This is the ID used for targeting and generating reports.
            "sslEnabled": True or False, # Whether ad serving supports secure servers in this country.
            "kind": "dfareporting#country", # Identifies what kind of resource this is. Value: the fixed string "dfareporting#country".
            "countryCode": "A String", # Country code.
            "name": "A String", # Name of this country.
          },
        ],
      }